Bug 43423 - libpspell.so gets mislinked with libtool-1.4-3
libpspell.so gets mislinked with libtool-1.4-3
Product: Red Hat Raw Hide
Classification: Retired
Component: libtool (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Brock Organ
: 45028 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-06-04 16:20 EDT by Enrico Scholz
Modified: 2007-04-18 12:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-20 05:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-06-04 16:20:17 EDT
Description of Problem:

When rebuilding pspell-0.12.2-1 with libtool-1.4-3, /usr/lib/libpspell.so
is not linked against libstdc++:

$ ldd libpspell.so.4.0.3 
        libltdl.so.3 => /usr/lib/libltdl.so.3 (0x4003b000)
        libpspell-modules.so.1 => /usr/lib/libpspell-modules.so.1
        libc.so.6 => /lib/i686/libc.so.6 (0x40043000)
        libdl.so.2 => /lib/libdl.so.2 (0x40174000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x2aaaa000)

When trying to build/run a C program (e.g. PHP) using it, various C++
symbols are missing:

| httpd: Cannot load /etc/httpd/modules/libphp4.so into server:
/usr/lib/libpspell.so.4: undefined symbol: __vt_3ios

When preventing the `libtoolize --force' in the RPM-%build-stage (e.g. by
`%define libtoolize :') all things are fine:

$ ldd /usr/lib/libpspell.so
        libltdl.so.3 => /usr/lib/libltdl.so.3 (0x40033000)
        libpspell-modules.so.1 => /usr/lib/libpspell-modules.so.1
        libstdc++-libc6.2-2.so.3 => /usr/lib/libstdc++-libc6.2-2.so.3
        libm.so.6 => /lib/i686/libm.so.6 (0x4007e000)
        libc.so.6 => /lib/i686/libc.so.6 (0x400a2000)
        libdl.so.2 => /lib/libdl.so.2 (0x401d3000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x2aaaa000)

Steps to Reproduce:
1. install pspell-0.12.2-1.i386.rpm
2. rpm --rebuild php-4.0.5-*

Actual Results:

%build fails because a .configure test fails

Additional information:

$ rpm -q libtool glibc-common autoconf automake gcc
Comment 1 Trond Eivind Glomsrxd 2001-06-05 10:12:47 EDT
Strange - the symptom is fixed in pspell-0.12.2-2, but I'm reassigning this to
Comment 2 Todd Mokros 2001-06-07 09:09:52 EDT
Is pspell-0.12.2-2 available for download?
Comment 3 Trond Eivind Glomsrxd 2001-06-19 16:11:55 EDT
Yes, it should be in Rawhide shortly.
Comment 4 Trond Eivind Glomsrxd 2001-06-19 16:12:09 EDT
*** Bug 45028 has been marked as a duplicate of this bug. ***
Comment 5 dan 2001-06-20 05:34:39 EDT
This issue has nothing to do with libtool package. There's no good reason to
libtoolize pspell again during package building - it is ALREADY packaged with a
custom version of libtool (just look at ltmain.sh script shipped with pspell).
Libtoolizing it again leads to the above mislink problems. This issue can be
easily fixed by adding '%define __libtoolize /bin/true' line just before
%configure macro call (see my comments to bug #45028). So I'd rather fix pspell
spec file (as it is possibly done in pspell-0.12.2-2) and leave libtool package
Comment 6 Florian La Roche 2001-06-26 09:52:46 EDT
pspell is fixed

Note You need to log in before you can comment on or make changes to this bug.